# QCoreApplication Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QCoreApplication(int argc, char argv, int arg__3)

### Constructor Properties

- prototype: The QCoreApplication prototype object
- void addLibraryPath(String arg__1)
- String applicationDirPath()
- String applicationFilePath()
- qint64 applicationPid()
- bool closingDown()
- int exec()
- void exit(int retcode)
- void flush()
- bool hasPendingEvents()
- void installTranslator(QTranslator messageFile)
- QCoreApplication instance()
- List libraryPaths()
- void postEvent(QObject receiver, QEvent event)
- void processEvents(ProcessEventsFlags flags)
- void removeLibraryPath(String arg__1)
- void removePostedEvents(QObject receiver)
- void removeTranslator(QTranslator messageFile)
- bool sendEvent(QObject receiver, QEvent event)
- void sendPostedEvents()
- void setAttribute(ApplicationAttribute attribute, bool on)
- void setLibraryPaths(List arg__1)
- bool startingUp()
- bool testAttribute(ApplicationAttribute attribute)
- String translate(char context, char key, char disambiguation, Encoding encoding)
- CodecForTr
- UnicodeUTF8
- Encoding( value )

### Prototype Object Properties

The QCoreApplication prototype object inherits properties from the QObject prototype object and also has the following properties.

- bool notify(QObject arg__1, QEvent arg__2)

### Instance Properties

QCoreApplication objects inherit properties from the QCoreApplication prototype object and also have the following properties.

- applicationName
- applicationVersion
- organizationName
- organizationDomain